PUT
/alerts/{alert_id}/
curl --request PUT \ --url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/alerts/{alert_id}/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \ --header 'Authorization: Bearer <API_TOKEN>' \ --header 'Content-Type: application/json' \ --data '{ "name": "alert-260325114033", "metric_type": "gpu_power", "operator": "==", "threshold_value": 47, "monitoring_group_ids": [ 24, 26 ], "severity": "Info"}'import requests
response = requests.put( "https://api.e2enetworks.com/myaccount/api/v1/gpu/alerts/{alert_id}/", params={"project_id": "<PROJECT_ID>", "location": "<LOCATION>", "apikey": "<API_KEY>"}, headers={"Authorization": "Bearer <API_TOKEN>"}, json={ "name": "alert-260325114033", "metric_type": "gpu_power", "operator": "==", "threshold_value": 47, "monitoring_group_ids": [ 24, 26, ], "severity": "Info", },)print(response.json())const url = new URL("https://api.e2enetworks.com/myaccount/api/v1/gpu/alerts/{alert_id}/");url.search = new URLSearchParams({ project_id: "<PROJECT_ID>", location: "<LOCATION>", apikey: "<API_KEY>" });
const response = await fetch(url, { method: "PUT", headers: { "Authorization": "Bearer <API_TOKEN>", "Content-Type": "application/json" }, body: JSON.stringify({ "name": "alert-260325114033", "metric_type": "gpu_power", "operator": "==", "threshold_value": 47, "monitoring_group_ids": [ 24, 26 ], "severity": "Info" }),});console.log(await response.json());Update an existing alert with new configuration such as threshold, metric, or monitoring groups.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”alert_id
required
integer
Alert ID
Query Parameters
Section titled “Query Parameters”project_id
required
integer
Project ID
active_iam
integer
Active IAM ID (To access contact person account) Find your Active IAM ID here
location
required
string
Location
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
name
string
Example
alert-260325114033metric_type
Metric on which alert is based
string
Example
gpu_poweroperator
Comparison operator
string
Example
==threshold_value
number format: float
Example
47monitoring_group_ids
Array<integer>
Example
[ 24, 26]severity
string
Example
InfoResponses
Section titled “Responses”Alert updated successfully
Media typeapplication/json
object
code
integer
message
string
data
object
id
integer
name
string
location
string
location_key
string
resource_type
string
resource_type_key
string
metric_type
string
metric_type_key
string
metric_type_unit
string
operator
string
operator_key
string
threshold_value
number format: float
severity
string
severity_key
string
monitoring_groups
Array<object>
object
id
integer
name
string
description
string
project
integer
member_ids
Array<integer>
alerts
Array<object>
object
id
integer
name
string
created_by
object
id
integer
name
string
email
string
username
string
created_at
string format: date-time
updated_at
string format: date-time
attached_resources
Array<object>
object
created_by
object
id
integer
name
string
email
string
username
string
created_at
string format: date-time
updated_at
string format: date-time
errors
object
Example
{ "code": 200, "message": "Alert updated successfully", "data": { "id": 55, "name": "alert-260325114033", "location": "Delhi", "location_key": "Delhi", "resource_type": "Instance", "resource_type_key": "notebook", "metric_type": "GPU Power", "metric_type_key": "gpu_power", "metric_type_unit": "W", "operator": "Equal To", "operator_key": "==", "threshold_value": 47, "severity": "Info", "severity_key": "Info", "monitoring_groups": [ { "id": 24, "name": "group-name", "description": "group description", "project": 10450, "member_ids": [ 12345 ], "alerts": [ { "id": 55, "name": "alert-name" } ], "created_by": { "id": 1001, "name": "User Name", "email": "user@example.com", "username": "user@example.com" }, "created_at": "2026-03-19T10:54:14Z", "updated_at": "2026-03-19T10:54:14Z" } ], "attached_resources": [], "created_by": { "id": 1001, "name": "User Name", "email": "user@example.com", "username": "user@example.com" }, "created_at": "2026-03-25T06:10:46Z", "updated_at": "2026-03-25T06:52:46Z" }, "errors": {}}